cls
echo - 制作此功能只是帮助一些没有三方recovery的用户，在刷了某些模块导致无法开机，从而尝试禁用所有Magisk模块来确定是否能够正常开机
echo.
echo - 如果设备卡在第一屏、也就是看不到开机动画页面，本功能无法使用
echo - 只有当设备卡在第二屏、也就是一直卡在开机动画页面状态下且已连接到设备才可以使用，前提是需要在设备正常开机的状态下，开启USB调试并在出现授权USB调试弹窗窗时点击确定才可以使用
echo.
echo - 温馨提示：
echo - 请在正常开机状态下使用adb功能区的 --^> 9.为Shell申请ROOT权限 功能授权「Shell」应用ROOT权限，否则会因为权限不足无法禁用所有模块，一直卡在申请ROOT权限
echo.
echo.
echo - 0.回到主菜单
echo - 您确定要禁用所有Magisk模块吗？回车或输入任意内容继续
set gn=
echo.
echo.
set /p gn=%t2%
if "%gn%"=="0" ( main )
adb shell magisk su -c sh <files\Disable_All_Modules.sh